import { JSONSchema4 } from 'json-schema';
import { Ctos } from './utils';
export declare type OfType = {
    allOf?: Partial<JSONSchema4>;
    anyOf?: Partial<JSONSchema4>;
    oneOf?: Partial<JSONSchema4>;
    not?: Partial<JSONSchema4>;
};
export declare function useAllOf(...constructor: Array<Ctos | OfType>): {
    allOf: (Partial<JSONSchema4> | OfType)[];
};
export declare function useAnyOf(...constructor: Array<Ctos | OfType>): {
    anyOf: (Partial<JSONSchema4> | OfType)[];
};
export declare function useOneOf(...constructor: Array<Ctos | OfType>): {
    oneOf: (Partial<JSONSchema4> | OfType)[];
};
export declare function useNot(...constructor: Array<Ctos | OfType>): {
    not: (Partial<JSONSchema4> | OfType)[];
};
//# sourceMappingURL=of.d.ts.map