"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useNot = exports.useOneOf = exports.useAnyOf = exports.useAllOf = void 0;
var use_1 = require("./use");
function useAllOf() {
    var constructor = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        constructor[_i] = arguments[_i];
    }
    return {
        allOf: constructor.map(function (c) { return (isCtos(c) ? use_1.use(c) : c); }),
    };
}
exports.useAllOf = useAllOf;
function useAnyOf() {
    var constructor = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        constructor[_i] = arguments[_i];
    }
    return {
        anyOf: constructor.map(function (c) { return (isCtos(c) ? use_1.use(c) : c); }),
    };
}
exports.useAnyOf = useAnyOf;
function useOneOf() {
    var constructor = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        constructor[_i] = arguments[_i];
    }
    return {
        oneOf: constructor.map(function (c) { return (isCtos(c) ? use_1.use(c) : c); }),
    };
}
exports.useOneOf = useOneOf;
function useNot() {
    var constructor = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        constructor[_i] = arguments[_i];
    }
    return {
        not: constructor.map(function (c) { return (isCtos(c) ? use_1.use(c) : c); }),
    };
}
exports.useNot = useNot;
function isCtos(ctos) {
    return typeof ctos === 'function' && '__schema' in ctos;
}
//# sourceMappingURL=of.js.map